## gcc-sh-elf 1

=== debian/changelog ===
gcc-sh-elf (1) unstable; urgency=medium

  * Initial release (Closes: #986778)

 -- John Scott <jscott@posteo.net>  Fri, 03 Sep 2021 19:49:43 -0400
