## gcc-sh-elf 2

=== debian/changelog ===
gcc-sh-elf (2) unstable; urgency=medium

  * Disable building libcc1, which is superfluous. (Closes: #1001273)
  * Make new source-only upload to enable testing migration.

 -- John Scott <jscott@posteo.net>  Mon, 06 Dec 2021 17:44:55 -0500
