=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/gcc-sh-elf
 Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/gcc-sh-elf.git
-Homepage: https://gcc.gnu.org
 Standards-Version: 4.6.0
 
 Package: gcc-sh-elf
@@ -34,7 +33,9 @@
 Suggests:
  gcc-${gcc-version-major}-doc,
  gcc-${gcc-version-major}-locales,
+Multi-Arch: foreign
 Built-Using: gcc-${gcc-version-major} (= ${gcc-version}), gdb (= ${gdb-version})
+Homepage: https://gcc.gnu.org
 Description: GNU C compiler for embedded SuperH devices
  This package provides the GNU C compiler targeting bare-metal SuperH
  devices, including all CPUs SH-1 through SH-4a. This package additionally
@@ -46,6 +47,7 @@
 Depends: ${misc:Depends}
 Suggests: libnewlib-doc
 Multi-Arch: foreign
+Homepage: https://www.sourceware.org/newlib/
 Description: small ISO C standard library for embedded SuperH devices
  This package provides Newlib, a C library for embedded systems, configured
  for use on SuperH devices.
