=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	--target=$(gnu_type) \
 	--prefix=/usr \
 	--disable-gdb \
+	--disable-libcc1 \
 	--enable-languages=c \
 	--with-gcc-major-version-only \
 	--without-included-gettext \
