## gcc-sh-elf 4

=== debian/changelog ===
gcc-sh-elf (4) unstable; urgency=medium

  * Release to unstable.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- John Scott <jscott@posteo.net>  Sat, 21 May 2022 08:54:31 -0400

gcc-sh-elf (3) experimental; urgency=medium

  * Switch to GCC 12.
  * Improve reproducibility by using tools in non-usrmerge locations
    with thanks to Vagrant Cascadian for the patch (Closes: #1003500)
  * Switch non-portable usage of echo to printf (Closes: #1003501)
    Thanks again to Vagrant.

 -- John Scott <jscott@posteo.net>  Sat, 02 Apr 2022 18:01:27 -0400
