=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dejagnu <!nocheck>,
  flex,
  gawk,
- gcc-11-source,
+ gcc-12-source,
  gdb-source,
  gettext,
  libisl-dev,
@@ -23,7 +23,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/gcc-sh-elf
 Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/gcc-sh-elf.git
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 
 Package: gcc-sh-elf
 Architecture: any
