=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,10 @@
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--target=$(gnu_type) \
+	SED=/bin/sed \
+	SHELL=/bin/sh \
+	BASH=/bin/bash \
+	CONFIG_SHELL=/bin/bash \
 	--prefix=/usr \
 	--disable-gdb \
 	--disable-libcc1 \
@@ -93,17 +97,17 @@
 execute_before_dh_installdocs: debian/gcc-$(gnu_type).copyright debian/libnewlib-$(gnu_type)-dev.copyright
 debian/gcc-$(gnu_type).copyright: debian/copyright /usr/share/doc/gcc-$(gcc-version-major)-source/copyright /usr/share/doc/gdb-source/copyright
 	cp debian/copyright $@
-	echo -n "\n-----BEGIN GCC-$(gcc-version-major)-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
+	printf -- "\n-----BEGIN GCC-$(gcc-version-major)-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
 	cat /usr/share/doc/gcc-$(gcc-version-major)-source/copyright >> $@
-	echo -n "-----END GCC-$(gcc-version-major)-SOURCE COPYRIGHT INFORMATION-----\n" \
+	printf -- "-----END GCC-$(gcc-version-major)-SOURCE COPYRIGHT INFORMATION-----\n" \
 		"\n-----BEGIN GDB-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
 	cat /usr/share/doc/gdb-source/copyright >> $@
-	echo -n "-----END GDB-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
+	printf -- "-----END GDB-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
 debian/libnewlib-$(gnu_type)-dev.copyright: debian/copyright /usr/share/doc/newlib-source/copyright
 	cp debian/copyright $@
-	echo -n "\n-----BEGIN NEWLIB-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
+	printf -- "\n-----BEGIN NEWLIB-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
 	cat /usr/share/doc/newlib-source/copyright >> $@
-	echo -n "-----END NEWLIB-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
+	printf -- "-----END NEWLIB-SOURCE COPYRIGHT INFORMATION-----\n" >> $@
 
 # The private shared library does not need ldconfig triggers.
 override_dh_makeshlibs:
