## gcc-sh-elf 4.1

=== debian/changelog ===
gcc-sh-elf (4.1) unstable; urgency=medium

  * Include a fix for building with newer GDB (Closes: #1031439)

 -- John Scott <jscott@posteo.net>  Mon, 10 Apr 2023 18:56:40 -0400
