=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,9 @@
 		then ln -s "$$i" . || exit 1; \
 		fi; \
 	done
+# gcc's configure script is too old to build GDB right.
+	cd $@ && rm -f Makefile.def Makefile.in configure
+	cd $@ && cp ../gdb*/Makefile.def ../gdb*/Makefile.in ../gdb*/configure .
 
 # Avoid dh_auto_*, see
 # https://gcc.gnu.org/legacy-ml/gcc/2013-04/msg00171.html.
