## gcc-sh-elf 6

=== debian/changelog ===
gcc-sh-elf (6) unstable; urgency=medium

  * Upload to unstable.

 -- John Scott <jscott@posteo.net>  Fri, 23 Jun 2023 12:20:09 -0400

gcc-sh-elf (5) experimental; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes required.
  * Switch to GCC 13.

 -- John Scott <jscott@posteo.net>  Sat, 17 Dec 2022 18:39:49 -0500
