=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	patch -p1 -i /usr/src/gcc-$(gcc-version-major)/patches/gcc-gfdl-build.diff
 	tar -xf /usr/src/newlib/newlib-*.tar.xz
 	tar -xf /usr/src/gdb.tar.xz
-	rm -rf ../gdb*/readline ../gdb*/zlib
+	rm -rf gdb*/readline gdb*/zlib
 # Symbolically link directories from GDB and Newlib into the GCC tree.
 	cd $@ && for i in ../gdb*/* ../newlib*/*; \
 	do \
@@ -38,9 +38,6 @@
 		then ln -s "$$i" . || exit 1; \
 		fi; \
 	done
-# gcc's configure script is too old to build GDB right.
-	cd $@ && rm -f Makefile.def Makefile.in configure
-	cd $@ && cp ../gdb*/Makefile.def ../gdb*/Makefile.in ../gdb*/configure .
 
 # Avoid dh_auto_*, see
 # https://gcc.gnu.org/legacy-ml/gcc/2013-04/msg00171.html.
