## gcc-sh-elf 7

=== debian/changelog ===
gcc-sh-elf (7) unstable; urgency=medium

  * Include the full used Newlib source package version number in
    the libnewlib-sh-elf-dev binary package version number.
    This is necessary so we can tell what source package version was used.

 -- John Scott <jscott@posteo.net>  Mon, 10 Jul 2023 10:10:52 -0400
