=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
  dejagnu <!nocheck>,
  flex,
  gawk,
- gcc-12-source,
+ gcc-13-source,
  gdb-source,
  gettext,
  libisl-dev,
  libmpc-dev,
+ libreadline-dev,
  libzstd-dev,
  newlib-source,
  texinfo,
@@ -23,7 +24,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/gcc-sh-elf
 Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/gcc-sh-elf.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 
 Package: gcc-sh-elf
 Architecture: any
