=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Version of the GCC source Debian package.
 gcc-version	!= dpkg-query -Wf'$${source:Version}' gcc-$(gcc-version-major)-source
 gdb-version	!= dpkg-query -Wf'$${source:Version}' gdb-source
-newlib-version	!= dpkg-query -Wf'$${source:Upstream-Version}' newlib-source
+newlib-version	!= dpkg-query -Wf'$${source:Version}' newlib-source
 
 # https://gcc.gnu.org/install/configure.html recommends out-of-tree builds.
 %:
