## gcc-sh-elf 8

=== debian/changelog ===
gcc-sh-elf (8) unstable; urgency=medium

  * Revert the change of the previous upload (Closes: #1040960)
    Version numbers must increase monotonically.
  * As an alternative solution to record what Newlib source package was used,
    introduce an unofficial 'Built-Using-Newlib-Source' binary package control field.
  * Build depend on gcc-sh-elf when we're cross compiling the cross compiler

 -- John Scott <jscott@posteo.net>  Fri, 11 Aug 2023 17:57:32 -0400
