=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 # Version of the GCC source Debian package.
 gcc-version	!= dpkg-query -Wf'$${source:Version}' gcc-$(gcc-version-major)-source
 gdb-version	!= dpkg-query -Wf'$${source:Version}' gdb-source
-newlib-version	!= dpkg-query -Wf'$${source:Version}' newlib-source
+newlib-upstream-version	!= dpkg-query -Wf'$${source:Upstream-Version}' newlib-source
+newlib-source-version != dpkg-query -Wf'$${source:Version}' newlib-source
 
 # https://gcc.gnu.org/install/configure.html recommends out-of-tree builds.
 %:
@@ -118,4 +119,5 @@
 		-Vgcc-version=$(gcc-version) \
 		-Vgcc-version-major=$(gcc-version-major) \
 		-Vgdb-version=$(gdb-version)
-	dh_gencontrol -p libnewlib-$(gnu_type)-dev -- -v$(newlib-version)+$(DEB_VERSION)
+	dh_gencontrol -p libnewlib-$(gnu_type)-dev -- -v$(newlib-upstream-version)+$(DEB_VERSION) \
+		-Vnewlib-source-version=$(newlib-source-version)
