## gcc-sh-elf 8ubuntu1

=== debian/changelog ===
gcc-sh-elf (8ubuntu1) mantic; urgency=medium

  * Configure with --disable-werror on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Sep 2023 12:07:49 +0200
