=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,11 @@
 	--with-system-zlib \
 	--with-newlib
 
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+CONFIG_OPTS += \
+	--disable-werror
+endif
+
 override_dh_auto_configure bld:
 	mkdir -p bld
 	if echo $(DEB_BUILD_OPTIONS) | grep -q terse; \
