## gcc-sh-elf 8.2

=== debian/changelog ===
gcc-sh-elf (8.2) unstable; urgency=medium

  * Team upload.
  * Prevent running tests that include errno.h. (Closes: #1086486)

 -- Bastian Germann <bage@debian.org>  Thu, 31 Oct 2024 07:47:43 +0000

gcc-sh-elf (8.1) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Include a fix for building with newer GDB. (Closes: #1031439)

 -- Bastian Germann <bage@debian.org>  Fri, 07 Jun 2024 09:00:46 +0200
