=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  flex,
  gawk,
  gcc-13-source,
+ gcc-sh-elf <cross>,
  gdb-source,
  gettext,
  libisl-dev,
@@ -48,6 +49,7 @@
 Depends: ${misc:Depends}
 Suggests: libnewlib-doc
 Multi-Arch: foreign
+XB-Built-Using-Newlib-Source: ${newlib-source-version}
 Homepage: https://www.sourceware.org/newlib/
 Description: small ISO C standard library for embedded SuperH devices
  This package provides Newlib, a C library for embedded systems, configured
