=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,9 @@
 		then ln -s "$$i" . || exit 1; \
 		fi; \
 	done
+# gcc's configure script is too old to build GDB right.
+	cd $@ && rm -f Makefile.def Makefile.in configure
+	cd $@ && cp ../gdb*/Makefile.def ../gdb*/Makefile.in ../gdb*/configure .
 
 # Avoid dh_auto_*, see
 # https://gcc.gnu.org/legacy-ml/gcc/2013-04/msg00171.html.
@@ -62,11 +65,6 @@
 	--with-bugurl="https://www.debian.org/Bugs/" \
 	--with-system-zlib \
 	--with-newlib
-
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-CONFIG_OPTS += \
-	--disable-werror
-endif
 
 override_dh_auto_configure bld:
 	mkdir -p bld
