=== debian/tests/control ===
# SPDX-FileCopyrightText: 2021 John Scott <jscott@posteo.net>
# SPDX-License-Identifier: GPL-3.0-or-later
Tests: catch-multiple-free, run-fork, run-longjmp, run-primes, run-wcsftime

Tests: run-stack-smashing, run-unaligned-write
Restrictions: allow-stderr
