## gcc-sh-elf 8.3~exp1

=== debian/changelog ===
gcc-sh-elf (8.3~exp1) experimental; urgency=medium

  * Team upload.
  * Build with gdb 17. (Closes: #1096682)

 -- Bastian Germann <bage@debian.org>  Thu, 11 Dec 2025 17:09:39 +0100
