=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  gawk,
  gcc-13-source,
  gcc-sh-elf <cross>,
- gdb-source,
+ gdb-source (>= 17),
  gettext,
  libisl-dev,
  libmpc-dev,
