## gcc-sh-elf 8.3

=== debian/changelog ===
gcc-sh-elf (8.3) unstable; urgency=medium

  * Team upload.
  * Build with gcc-15-source. (Closes: #1092657)

 -- Bastian Germann <bage@debian.org>  Wed, 24 Dec 2025 01:23:36 +0100
