=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  dejagnu <!nocheck>,
  flex,
  gawk,
- gcc-13-source,
+ gcc-15-source,
  gcc-sh-elf <cross>,
- gdb-source (>= 17),
+ gdb-source,
  gettext,
  libisl-dev,
  libmpc-dev,
